internal::clear_element< N > Struct Template Reference

`#include <_flow_graph_node_impl.h>`

Collaboration diagram for internal::clear_element< N >:

## Static Public Member Functions

template<typename P >
static void | clear_this (P &p)
template<typename P >
static bool | this_empty (P &p)

## Detailed Description

### template<int N>
struct internal::clear_element< N >

Definition at line 525 of file _flow_graph_node_impl.h.

## Member Function Documentation

## clear_this()

template<int N>
template<typename P >

static void internal::clear_element< N >::clear_this | ( | P & | p | ) |

inline static

Definition at line 526 of file _flow_graph_node_impl.h.

{
(void)tbb::flow::get<N-1>(p).successors().clear();
clear_element<N-1>::clear_this(p);
}
void
void
Definition: ittnotify_static.h:91
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91
internal::clear_element::clear_this
static void clear_this(P &p)
Definition: _flow_graph_node_impl.h:526

References p, and void.

Referenced by internal::multifunction_input< Input, OutputPortSet, Policy, A >::reset(), and tbb::flow::interface11::split_node< TupleType, Allocator >::reset_node().

Here is the caller graph for this function:

## this_empty()

template<int N>
template<typename P >

static bool internal::clear_element< N >::this_empty | ( | P & | p | ) |

inline static

Definition at line 530 of file _flow_graph_node_impl.h.

{
if(tbb::flow::get<N-1>(p).successors().empty())
return clear_element<N-1>::this_empty(p);
return false;
}
internal::clear_element::this_empty
static bool this_empty(P &p)
Definition: _flow_graph_node_impl.h:530

References p.

The documentation for this struct was generated from the following file:

- _flow_graph_node_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.